package main

import (
	"github.com/hilo-common/model"
	"github.com/hilo-common/mysql"
	uuid "github.com/satori/go.uuid"
	"strings"
)

/*
# redis 事务拿出3000个code
MULTI
LRANGE USER_CODE 0 2999
LTRIM USER_CODE 3000 -1
exec
*/
var codes = []string{"123997623", "88912321"} // 3000个from redis pop USER_CODE todo

func main() {
	var testRobots []model.UserNoId
	sql := "SELECT *  FROM `user` where id BETWEEN 4564 and 7615 limit 3000"
	if err := mysql.TestDB.Raw(sql).Find(&testRobots).Error; err != nil {
		panic(err)
	}
	for i, user := range testRobots {
		user.ExternalId = GetUUID() // 重新生成新的externalId
		user.Code = codes[i]        // code赋值
		user.OriginCode = user.Code
		break
		//mysql.ProdWriteDB.Create(user) // todo final
	}
}

func GetUUID() string {
	return strings.Replace(uuid.NewV4().String(), "-", "", -1)
}
